com.independentsoft.exchange

## Enum InvalidRecipientResponseCode

- java.lang.Object
- - java.lang.Enum<InvalidRecipientResponseCode>
  - - com.independentsoft.exchange.InvalidRecipientResponseCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InvalidRecipientResponseCode>

      public enum InvalidRecipientResponseCode
      extends java.lang.Enum<InvalidRecipientResponseCode>

  Provides information about why the recipient is invalid.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANNOT_OBTAIN_TOKEN_FROM_STS` Indicates that there was a problem obtaining a security token from the token server.
    `RECIPIENT_ORGANIZATION_NOT_FEDERATED` Indicates that a sharing relationship is not available with the organization specified in the recipient's SMTP e-mail address.
    `SYSTEM_POLICY_BLOCKS_SHARING_WITH_THIS_RECIPIENT` Indicates that the system administrator has set a system policy that blocks sharing with the specified recipient.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InvalidRecipientResponseCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InvalidRecipientResponseCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RECIPIENT_ORGANIZATION_NOT_FEDERATED

          public static final InvalidRecipientResponseCode RECIPIENT_ORGANIZATION_NOT_FEDERATED

      Indicates that a sharing relationship is not available with the organization specified in the recipient's SMTP e-mail address.

    - #### CANNOT_OBTAIN_TOKEN_FROM_STS

          public static final InvalidRecipientResponseCode CANNOT_OBTAIN_TOKEN_FROM_STS

      Indicates that there was a problem obtaining a security token from the token server.

    - #### SYSTEM_POLICY_BLOCKS_SHARING_WITH_THIS_RECIPIENT

          public static final InvalidRecipientResponseCode SYSTEM_POLICY_BLOCKS_SHARING_WITH_THIS_RECIPIENT

      Indicates that the system administrator has set a system policy that blocks sharing with the specified recipient.

  - ### Method Detail

    - #### values

          public static InvalidRecipientResponseCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InvalidRecipientResponseCode c : InvalidRecipientResponseCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InvalidRecipientResponseCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null